"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const file_temp_1 = require("../file-temp");
const job_file_storage_1 = require("./job-file-storage");
let tmp;
const defaultData = [
    { name: 'name 1', num: 1 },
    { name: 'name 2', num: 2 }
];
beforeEach(() => {
    testing_1.Testing.reset();
    tmp = new file_temp_1.FileTemp();
});
afterEach(() => {
    tmp.remove();
});
it('Should init and save successfully', async () => {
    const fileStorage = new job_file_storage_1.JobFileStorage(testing_1.Testing.logger, tmp.file);
    const data = await fileStorage.init();
    expect(data).toEqual([]);
    await fileStorage.update(defaultData.map(r => {
        return { ...r, jobExecute() { } };
    }));
    const newData = await fileStorage.init();
    expect(newData).toEqual(defaultData);
});
//# sourceMappingURL=job-file-storage.spec.js.map